part of 'generated.dart';

class DeleteCertificateVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteCertificateVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteCertificateData> dataDeserializer = (dynamic json)  => DeleteCertificateData.fromJson(jsonDecode(json));
  Serializer<DeleteCertificateVariables> varsSerializer = (DeleteCertificateVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteCertificateData, DeleteCertificateVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteCertificateData, DeleteCertificateVariables> ref() {
    DeleteCertificateVariables vars= DeleteCertificateVariables(id: id,);
    return _dataConnect.mutation("DeleteCertificate", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteCertificateCertificateDelete {
  final String id;
  DeleteCertificateCertificateDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCertificateCertificateDelete otherTyped = other as DeleteCertificateCertificateDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteCertificateCertificateDelete({
    required this.id,
  });
}

@immutable
class DeleteCertificateData {
  final DeleteCertificateCertificateDelete? certificate_delete;
  DeleteCertificateData.fromJson(dynamic json):
  
  certificate_delete = json['certificate_delete'] == null ? null : DeleteCertificateCertificateDelete.fromJson(json['certificate_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCertificateData otherTyped = other as DeleteCertificateData;
    return certificate_delete == otherTyped.certificate_delete;
    
  }
  @override
  int get hashCode => certificate_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (certificate_delete != null) {
      json['certificate_delete'] = certificate_delete!.toJson();
    }
    return json;
  }

  DeleteCertificateData({
    this.certificate_delete,
  });
}

@immutable
class DeleteCertificateVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteCertificateVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCertificateVariables otherTyped = other as DeleteCertificateVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteCertificateVariables({
    required this.id,
  });
}

